Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1048039 (qt5-qtsensors) - Review Request: qt5-qtsensors - Qt5 - Sensor components
Summary: Review Request: qt5-qtsensors - Qt5 - Sensor components
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtsensors
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-01-03 00:52 UTC by Rex Dieter
Modified: 2014-01-23 20:14 UTC (History)
3 users (show)

Fixed In Version: qt5-qtsensors-5.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-17 05:45:24 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2014-01-03 00:52:43 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtsensors.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtsensors-5.2.0-1.fc20.src.rpm
Description:
The Qt Sensors API provides access to sensor hardware via QML and C++ interfaces.
The Qt Sensors API also provides a motion gesture recognition API for devices.

Fedora Account System Username: rdieter

Comment 1 Christopher Meng 2014-01-03 12:30:08 UTC
Taken.

Comment 2 Christopher Meng 2014-01-03 12:39:25 UTC
RPM build errors:
    Directory not found: /builddir/build/BUILDROOT/qt5-qtsensors-5.2.0-1.fc21.i386/usr/lib/qt5/qml/QtSensors

Comment 3 Rex Dieter 2014-01-03 14:14:07 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6353073

(sorry, refereshed the .src.rpm since original submission)

Comment 4 Christopher Meng 2014-01-03 19:06:39 UTC
Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtsensors-devel qt5-qtsensors qt5-qtsensors-doc
qt5-qtsensors-devel.i686: W: no-documentation
qt5-qtsensors.i686: E: description-line-too-long C The Qt Sensors API provides access to sensor hardware via QML and C++ interfaces.
qt5-qtsensors.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5Sensors.so.5.2.0 /lib/libpthread.so.0
qt5-qtsensors.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5Sensors.so.5.2.0 /lib/libm.so.6
qt5-qtsensors.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5Sensors.so.5.2.0 /lib/libgcc_s.so.1
qt5-qtsensors-doc.noarch: E: zero-length /usr/share/doc/qt5/qtsensors/demos-manifest.xml
3 packages and 0 specfiles checked; 2 errors, 4 warnings.
# echo 'rpmlint-done:'

Please fix the description before SCM.

Comment 5 Rex Dieter 2014-01-04 15:05:56 UTC
New Package SCM Request
=======================
Package Name: qt5-qtsensors
Short Description: Qt5 - Sensor Components
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: el6 f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-01-06 13:47:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-01-08 19:17:57 UTC
qt5-qtsensors-5.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtsensors-5.2.0-1.fc20

Comment 8 Fedora Update System 2014-01-08 19:19:22 UTC
qt5-qtsensors-5.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtsensors-5.2.0-1.fc19

Comment 9 Fedora Update System 2014-01-08 19:19:55 UTC
qt5-qtsensors-5.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtsensors-5.2.0-1.el6

Comment 10 Fedora Update System 2014-01-09 04:38:08 UTC
qt5-qtsensors-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2014-01-17 05:45:24 UTC
qt5-qtsensors-5.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-01-17 05:53:27 UTC
qt5-qtsensors-5.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-01-23 20:14:49 UTC
qt5-qtsensors-5.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.